/*
    Project: GoGoChart website revamp
    Author: http://www.CodingCat.hk
*/

main > section:not(:last-child) { border-bottom: 1px solid #d3d3d3; }
h1, h2, h3 { margin: 0; padding: 0; }

/* Page Cover */
.page-cover {
    display: flex;
    flex-direction: column;
    min-height: calc(100vh - 95px);
    color: #4b4b4b;
}
.page-cover h1 { font-size: 38px; font-weight: 700; }
.page-cover h2 { font-size: 26px; text-transform: none; }

.page-cover content { flex-grow: 1; display: flex; width: 100%; }
.page-cover content > div {
    width: 100%;
    background-image: url('../images/Apple-Search-Ad.html/cover.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: auto 100%;
}
.page-cover__apple-icon {
    margin-top: 14px;
    width: 180px;
}

/* What is Apple Search Ads */
.asa .wrapper { display: flex; justify-content: space-between; position: relative; }
.asa .icon-thumbnail { margin-right: 7px; min-width: 260px; }
.asa .icon-thumbnail * {
    background-image: url('../images/Apple-Search-Ad.html/app-store-download-rate.png');
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    padding-top: 100%;
}
.asa header h2 { color: #4b4b4b; font-size: 38px; font-weight: 700; }
.asa content p { margin: 0 auto; max-width: 750px; padding: 0 14px; }

/* How does Apple Search Ads work */
.asa-summary .wrapper { display: flex; justify-content: space-between; position: relative; }
.asa-summary .icon-thumbnail { margin-left: 7px; min-width: 360px; }
.asa-summary .icon-thumbnail * {
    background-image: url('../images/Apple-Search-Ad.html/app-store-sample.png');
    background-repeat: no-repeat;
    background-size: 100%;
    padding-top: 83%;
}
.asa-summary header h2 { color: #4b4b4b; font-size: 38px; font-weight: 700; }
.asa-summary content p { margin: 0 auto; max-width: 750px; padding: 0 14px; }

/* Why need Apple Search Ads */
.why-asa .wrapper { display: flex; justify-content: space-between; position: relative; }
.why-asa .icon-thumbnail { margin-right: 7px; min-width: 360px; }
.why-asa .icon-thumbnail * {
    background-image: url('../images/Apple-Search-Ad.html/asa-flow.png');
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    padding-top: 77%;
}
.why-asa header h2 { color: #4b4b4b; font-size: 38px; font-weight: 700; }
.why-asa content p { margin: 0 auto; max-width: 750px; padding: 0 14px; }

/* Contact Us */
.contact-us h2 { font-size: 38px; font-weight: 700; color: #4b4b4b; }
.contact-us content p { color: #4b4b4b; }
.contact-us content .form-controls {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 58px;
    grid-column-gap: 30px;
}
.contact-us content .form-controls input {
    padding: 21px 14px;
    -moz-box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
    -webkit-box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
    box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
}
.contact-us content .form-controls input:focus {
    -moz-box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
    -webkit-box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
    box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
}
.contact-us.focused content .form-controls input.focused:not(:valid) {
    -moz-box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
    -webkit-box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
    box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
}
.contact-us.focused content .form-controls input.focused:not(:valid) ~ * {
    margin-top: 7px;
    max-height: 100px;
    height: auto;
    opacity: 1;
}
.contact-us content .form-controls span {
    position: absolute;
    display: inline-block;
    margin-top: 0;
    max-height: 0;
    height: 0;
    overflow: hidden;
    opacity: 0;
}

.contact-us content .form-controls ~ * { position: relative; }
.contact-us content button {
    border: 2px solid #4b4b4b;
    background-color: transparent;
    padding: 10px 30px;
    font-weight: 400;
    color: #4b4b4b;
    text-transform: uppercase;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}
.contact-us content button:hover,
.contact-us content button:focus {
    border-color: #1de9b6;
    outline-width: 0;
    background-color: #1de9b6;
    color: #fff;
}
.contact-us content button ~ * {
    position: absolute;
    margin-top: 10px;
    top: 100%;
    left: 0;
    width: 100%;
}
.contact-us content button ~ .text-danger { display: none; font-size: 14px; color: #e74c3c; }
.contact-us content .form-controls.shake-horizon ~ * button ~ .text-danger { display: block; }

.contact-us content button ~ .text-info { display: none; font-size: 26px; color: #18bc9c; }
.contact-us content.submitted button ~ .text-info { display: block; }
